# <Copyright 2022, Argo AI, LLC. Released under the MIT license.>

"""Dataset evaluation subpackage."""

from enum import Enum, unique
from typing import Final

NUM_RECALL_SAMPLES: Final = 101


@unique
class SensorCompetitionCategories(str, Enum):
    """Sensor dataset annotation categories."""

    ARTICULATED_BUS = "ARTICULATED_BUS"
    BICYCLE = "BICYCLE"
    BICYCLIST = "BICYCLIST"
    BOLLARD = "BOLLARD"
    BOX_TRUCK = "BOX_TRUCK"
    BUS = "BUS"
    CONSTRUCTION_BARREL = "CONSTRUCTION_BARREL"
    CONSTRUCTION_CONE = "CONSTRUCTION_CONE"
    DOG = "DOG"
    LARGE_VEHICLE = "LARGE_VEHICLE"
    MESSAGE_BOARD_TRAILER = "MESSAGE_BOARD_TRAILER"
    MOBILE_PEDESTRIAN_CROSSING_SIGN = "MOBILE_PEDESTRIAN_CROSSING_SIGN"
    MOTORCYCLE = "MOTORCYCLE"
    MOTORCYCLIST = "MOTORCYCLIST"
    PEDESTRIAN = "PEDESTRIAN"
    REGULAR_VEHICLE = "REGULAR_VEHICLE"
    SCHOOL_BUS = "SCHOOL_BUS"
    SIGN = "SIGN"
    STOP_SIGN = "STOP_SIGN"
    STROLLER = "STROLLER"
    TRUCK = "TRUCK"
    TRUCK_CAB = "TRUCK_CAB"
    VEHICULAR_TRAILER = "VEHICULAR_TRAILER"
    WHEELCHAIR = "WHEELCHAIR"
    WHEELED_DEVICE = "WHEELED_DEVICE"
    WHEELED_RIDER = "WHEELED_RIDER"
